Go Back   nV News Forums > Linux Support Forums > NVIDIA Linux

Newegg Daily Deals

Reply
 
Thread Tools
Old 12-31-02, 12:11 AM   #193
ftz
Registered User
 
Join Date: Dec 2002
Posts: 4
Send a message via ICQ to ftz
Default RH8 nvidia driver install

Thanks man..
You saved me on this one.
Just wanted to let you know after i updated and crashed X, I installed again with the --force option and I was up in 2 min

I just reran the /usr/src/redhat/sources/i386/rpm -ivh NVIDIA_kernel.rpm --force

and

rpm -ivh NVIDIA_GLX.rpm --force

Worked great. I got 320fps on UT and leveled out at 180-220. UT 2003 runs like poop.

AMD XP1800
256 Meg DDR266
geforce4 Ti4200 128meg

crazy ut2003.. WTF do you need to run it decent?
ftz is offline   Reply With Quote
Old 12-31-02, 09:01 PM   #194
PSBarger
Registered User
 
Join Date: Dec 2002
Posts: 3
Default

I need some help bad guys!
I'm trying to install these drivers on RH8, but I've got a problem trying to load the rpms. When run:

rpm -ivh NVIDIA_kernel I get
Preparing.... ##### [100%]
1:NVIDIA_kernel ##### [100%]
modprobe: Can't locate module nvidia

Failed to install nvidia.o

error: %post(NVIDIA_kernel) scriplet failed, exit status 1


And I'm screwed right now because I thought maybe it was still cool and rebooted, now I can't even load xwindows.... could use some help really badly!! The GLX rpm loads fine, but the kernel refuses to work right. I'm using exactly what the NVchooser.sh told me to use..... Please help me

Thanks.
PSBarger is offline   Reply With Quote
Old 12-31-02, 09:18 PM   #195
mog78
Registered User
 
Join Date: Dec 2002
Posts: 4
Default

Quote:
Originally posted by PSBarger
I need some help bad guys!
I'm trying to install these drivers on RH8, but I've got a problem trying to load the rpms. When run:

rpm -ivh NVIDIA_kernel I get
Preparing.... ##### [100%]
1:NVIDIA_kernel ##### [100%]
modprobe: Can't locate module nvidia

Failed to install nvidia.o

error: %post(NVIDIA_kernel) scriplet failed, exit status 1


And I'm screwed right now because I thought maybe it was still cool and rebooted, now I can't even load xwindows.... could use some help really badly!! The GLX rpm loads fine, but the kernel refuses to work right. I'm using exactly what the NVchooser.sh told me to use..... Please help me

Thanks.
"XFree86 -configure" will produce a generic XFree86Config file so you can at least get back into X windows and try again. This happened to me and I had to type that in order to log back in.
mog78 is offline   Reply With Quote
Old 12-31-02, 09:31 PM   #196
PSBarger
Registered User
 
Join Date: Dec 2002
Posts: 3
Default

Quote:
Originally posted by mog78
"XFree86 -configure" will produce a generic XFree86Config file so you can at least get back into X windows and try again. This happened to me and I had to type that in order to log back in.
Thats not even working for me. I think I got it really screwed up.... Thanks for the advice though.
PSBarger is offline   Reply With Quote
Old 12-31-02, 09:37 PM   #197
mog78
Registered User
 
Join Date: Dec 2002
Posts: 4
Default

Quote:
Originally posted by PSBarger
Thats not even working for me. I think I got it really screwed up.... Thanks for the advice though.
Did you delete the old XFree86Config? What I did was delete that and use the one that XFree86 -config produced. ALways good to backup your XFree86Config file.
mog78 is offline   Reply With Quote
Old 12-31-02, 09:49 PM   #198
PSBarger
Registered User
 
Join Date: Dec 2002
Posts: 3
Default

Quote:
Originally posted by mog78
Did you delete the old XFree86Config? What I did was delete that and use the one that XFree86 -config produced. ALways good to backup your XFree86Config file.
Nope, I didn't delete it, I made a copy of it before I changed anything (XFree86Config.bak). The thing I did that was dumb, even though I was getting the error installing the RPMS (the one I posted up a few posts), I still rebooted my computer and now I think I got it really messed up. I'm hoping somebody can tell me whats wrong with my RPM extraction, because if I can get that to extract properly I'm hoping that it will boot up right. I think my RPM is partially installed or something, and thats why even using the backed up version of Free86Config its still not working right (at least thats my theory, if you have any ideas I'd love to hear 'em).
PSBarger is offline   Reply With Quote
Old 01-01-03, 05:21 PM   #199
mb[DK]
Registered User
 
Join Date: Jan 2003
Location: Denmark
Posts: 12
Send a message via ICQ to mb[DK]
Default

When I try to install I get this:

root@dreck - 00:19:14]$ rpm -ivh /usr/src/redhat/RPMS/i386/NVIDIA_kernel-1.0-4191.i386.rpm
Forbereder... ########################################### [100%]
1:NVIDIA_kernel ########################################### [100%]
depmod: *** Unresolved symbols in /lib/modules/2.4.18-19.8.0/kernel/drivers/video/nvidia.o
/lib/modules/2.4.18-19.8.0/kernel/drivers/video/nvidia.o: unresolved symbol irq_stat_R2eb93455
/lib/modules/2.4.18-19.8.0/kernel/drivers/video/nvidia.o:
Hint: You are trying to load a module without a GPL compatible license
and it has unresolved symbols. Contact the module supplier for
assistance, only they can help you.

/lib/modules/2.4.18-19.8.0/kernel/drivers/video/nvidia.o: insmod /lib/modules/2.4.18-19.8.0/kernel/drivers/video/nvidia.o failed
/lib/modules/2.4.18-19.8.0/kernel/drivers/video/nvidia.o: insmod nvidia failed

Failed to install nvidia.o

fejl: %post(NVIDIA_kernel-1.0-4191) scriptlet failed, exit status 1


>> Its always the same, no matter how I try to install it.
Im using red hat 8 with kernel version: 2.4.18-19.8.0
mb[DK] is offline   Reply With Quote
Old 01-02-03, 10:52 AM   #200
keung
Registered User
 
Join Date: Jan 2003
Posts: 16
Smile report success install driver for kernel-2.4.18-19.8.0

I follow STEEL1 steps and sucessfully install NVidia
driver for Linux RH8.0 and update to kernel 2.4.18-19.8.0

I add some updated comments on STEEL1 said :
Step 1> Download the following from NVidia's site. (Note that the NVIDIA_kernel is the **src.rpm** rpm file and the NVIDIA_GLX is a **rpm**):
NVIDIA_kernel-1.0-4191.src.rpm
and
NVIDIA_GLX-1.0-4191.i386.rpm

Step 2> Make sure you have the kernel headers installed along with all other dev tools - these are needed along with other dependencies. The best way to ensure that you have all dependencies is to just go start menu > system settings > packages > and in the development section choose the Kernel development packge and install the whole thing.

Step 3> update the kernel bin and source to 2.4.18-19.8.0

Step 4> reboot system, so new kernel reference its new source as mp3tricord said.
On login, image login screen fail. Press cancel two time to enter text login screen.
I login as root.

Step 5> "rpmbuild --rebuild NVIDIA_kernel-1.0-4191.src.rpm" to create drivers for the RH 8.0 kernel. (This will create the binary RPM in "/usr/src/redhat/RPMS/i386/NVIDIA_kernel-1.0-4191.i386.rpm")

Step 6> Installed this new (NVIDIA_kernel-1.0-4191.i386.rpm)
"rpm -ivh /usr/src/redhat/RPMS/i386/NVIDIA_kernel-1.0-4191.i386.rpm"

Step 7> Installed GLX
"rpm -ivh NVIDIA_GLX-1.0-4191.i386.rpm"

That all !

Same as mwgoodman said,
If building src.rpm failed. The Buildmeister is not really an error just a warning. I have failed because when I forgotten reboot the system after update the kernel bin and source. After reboot, building rpm successful.

Hope this help some people.

Regards,
Keung
keung is offline   Reply With Quote

Old 01-02-03, 11:18 AM   #201
keung
Registered User
 
Join Date: Jan 2003
Posts: 16
Default kernel-2.4.18-19.8.0

I also forgot to said /etc/X11/XF86Config
must change as STEEL1 said:
Driver "nv" (or Driver "vesa")
change to
Driver "nvidia"

In the Module section, verify that you have :
Load "glx"

remove the following lines, if they exist :
Load "dri"
Load "GLcore"


>When i tried to install the kernel development tools >it gave me an error "Package Not Found"....

>"Unlocatable package krb5-libs = 1.2.5-6" >"Required by krb5-devel"

When I updated my system, then install kernel development tools. I also got this error because on the RH8.0 CD cannot be found the the update module.
I found the updated krb5-devel on this site :
http://rpmfind.net/linux/RPM/

Hope this helps.

Regards,
Keung
keung is offline   Reply With Quote
Old 01-02-03, 03:35 PM   #202
hgb
Registered User
 
Join Date: Jan 2003
Posts: 31
Default RReally noob

hi guys, i am a really noob and i come from use windows.. i dont speak english.. but i think i can understand allmost 80% (i am not good for write it), ok.

like a user of win, i go to the site of the video card and i download.. the later driver (i dont read any) that is one problem.. i downloaded.. the version 686 or up.... ok i only make a double click.. and nothing appends... but the package is installed..., after i see that the checkbox in the video card is not ungrayed... i read.. and i see..


that i need this steps...

1) download.. NVchooser.sh (execute with sh)
2(download the files... (two files..) not one like in win...
3)instal the kernel and then the GLX

ok there is when comes..

the files that says me download NVXhooser are...:
NVIDIA_kernel-1.0-4191.src.rpm
NVIDIA_GLX-1.0-4191.rpm

i have the two

then i go to install it....

first.. i unistall the 686 or up.. some like this... (remember like a win user XD i install this :P)

rpm -e NVIDIA_kermel-1....o686orUP.rpm

and write some like this..

rpm -q NVIDIA_kernel (but it says me.. the package NVIDIA_kernel is not installed i think this is ok)... i dont know for what is the -q switch... but it helps me in know what is installed....

the same for the GLX.. is not installed

then i

write this...

rpm -ivh NVIDIA_kernel-1.0-4191.src.rpm
warning: user buildmeister dos not exist -using root
warning: group buildmeister dos not exist -using root
warning: user buildmeister dos not exist -using root
warning: group buildmeister dos not exist -using root
1:NVIDIA_kernel#########################[100%]

rpm -ivh NVIDIA_GLX-1.0-4191.rpm
error: Failed dependencies:
NVIDIA_kernel is needed by NVIDIA_GLX-1.0-4191.src

i try to with.... rpm --rebuild but the same with buildmeister.. and no output in the directory 'user/src/redhat/RMPS/i386/NVIDIA_kernel

i know that a warning.. dont stop the compilation in aprogram in c.. i think is the same here.. i dont know wat is wrong..

but in this moment.. the NVDIA_kernel and the NVIDIA_GLX no are installed... i dont know what i can do.. i dont have a mouse. and i dont have.. the graphic interfaz of Redhat working.. i cant use linux in text mode.."""

i install in the first time.. all the things in the kernel and in tool for programming.. i think i have all for compile...

the questions is what i can do.. how i can make the user.. builmeister


my comp.. have this...

athlon 650 Mhz
GF2 MX 400 32MB
256 MB RAM
a keyboard.... no mouse

i check the commands cat /proc/version

the result Linux Version 2.4.18-19.8.0 (one email) (gcc version 3.2 20020903(redhad Linux 8.0 3.2-7))

in the command XFree86 -version

the result is XFree86 version 4.2.0 (...)/X windows System(protocol version 11, revision 0, vendor realease 6600)
Build Operating System:Linux 2.4.18-11smp i686[ELF]
Build Host:..

a yea.. i use the automatic.. downloader.. like windows update.. for update the kernel.. almost it works fine..after i try install the NV drivers....

help please, thx for read some large post.. i think i write almost all i do at this time.. yea.. i read... this read..

thx.. and good year.. say no to war!!!!!!!
hgb is offline   Reply With Quote
Old 01-02-03, 04:28 PM   #203
mb[DK]
Registered User
 
Join Date: Jan 2003
Location: Denmark
Posts: 12
Send a message via ICQ to mb[DK]
Default

depmod: *** Unresolved symbols in /lib/modules/2.4.18-19.8.0/kernel/drivers/video/nvidia.o
/lib/modules/2.4.18-19.8.0/kernel/drivers/video/nvidia.o: unresolved symbol irq_stat_R2eb93455
/lib/modules/2.4.18-19.8.0/kernel/drivers/video/nvidia.o:
Hint: You are trying to load a module without a GPL compatible license
and it has unresolved symbols. Contact the module supplier for
assistance, only they can help you.

/lib/modules/2.4.18-19.8.0/kernel/drivers/video/nvidia.o: insmod /lib/modules/2.4.18-19.8.0/kernel/drivers/video/nvidia.o failed
/lib/modules/2.4.18-19.8.0/kernel/drivers/video/nvidia.o: insmod nvidia failed

Failed to install nvidia.o

fejl: %post(NVIDIA_kernel-1.0-4191) scriptlet failed, exit status 1
--------------------------------------------------
So no one knows what this means?
mb[DK] is offline   Reply With Quote
Old 01-02-03, 07:40 PM   #204
keung
Registered User
 
Join Date: Jan 2003
Posts: 16
Default

hgb,

NVIDIA_kernel-1.0-4191.src.rpm is a source code but not a executable, so -ivh is not correct.

You should compile it by "rpmbuild --rebuild NVIDIA_kernel-1.0-4191.src.rpm"

Then itstall it by "rpm -ivh /usr/src/redhat/RPMS/i386/NVIDIA_kernel-1.0-4191.i386.rpm"

After installed NVIDIA_kernel-1.0-4191.i386.rpm, then you can install "rpm -ivh NVIDIA_GLX-1.0-4191.i386.rpm"

NVIDIA_GLX-1.0-4191.i386.rpm is depended on compiled NVIDIA_kernel-1.0-4191.src.rpm

>but in this moment.. the NVDIA_kernel and the NVIDIA_GLX no >are installed... i dont know what i can do.. i dont have a mouse. >and i dont have.. the graphic interfaz of Redhat working.. i cant >use linux in text mode.."""

Don't worry about it. I install it also in text mode and in text mode is correct. The installation Guide also said that you have to exit X-Windows to install the driver.

mb[DK],

I forgot if I have or not the same error before.
I think if you are installing by src.rpm, then make sure your have same executable kernel and source code install. Exit X-Windows and reboot to text mode then install it again.

I have try two night before I got the correct method to install it.

Regards,
Keung
keung is offline   Reply With Quote
Reply


Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Forum Jump


Similar Threads
Thread Thread Starter Forum Replies Last Post
NVIDIA Showcases GPU Breakthroughs at IBC 2012 News Archived News Items 0 09-07-12 10:10 AM
The Nvidia Forums Are Still Not Available, Finally We Know Why News Archived News Items 0 07-14-12 05:10 AM
Need Help Installing NVIDIA Tesla M2070Q in Linux RHEL5 Ferianto85 NVIDIA Linux 0 05-18-12 08:35 PM
NVidia Drivers HowTo for RedHat 8.0 needed eduardp NVIDIA Linux 10 10-04-02 03:59 AM
Redhat 8.0, no rpm, can't compile. Ironphil NVIDIA Linux 6 10-02-02 03:13 PM

All times are GMT -5. The time now is 05:24 AM.


Powered by vBulletin® Version 3.7.1
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Copyright 1998 - 2014, nV News.